<?php
	$url = "http://api.tameteo.com/index.php?api_lang=fr&pais=135&affiliate_id=4m5k1yq8ozbe";

	function progress($ch,$totaldownload, $downloaded, $us, $ud) {
		$totaldownload = 11556;
		static $last;
		$ind =  @round($downloaded/$totaldownload*100); //at the begining division by zero - to correct
		//if($last < $ind) {echo "<div class='bar' style='width: ".$ind."%;''></div>";};       //if percentage change ->print
		//if($last < $ind) echo $ind;
		flush();
		$last = $ind; //Remember last percentage number
	} 

	function connect($url) {
		$ch = curl_init();
		$opts = array(CURLOPT_RETURNTRANSFER => true,
		       CURLOPT_URL => $url,
		       CURLOPT_NOPROGRESS => false,
		       CURLOPT_PROGRESSFUNCTION => 'progress',
		       );
		curl_setopt_array($ch, $opts);
		$content = curl_exec($ch);
		curl_close($ch);
		return $content;
	}

	$obj = connect($url);
	$xmlDep = new simpleXMLElement($obj);
?>

<form method="POST">
	<select name="Departement" id="Select-Departement" onChange="submit()">
		<option value="Default">Sélectionnez un département</option>
		<?php
			$selectedDep=$_POST['Departement'];
			foreach ($xmlDep->location->data as $valueDep) {
				$selectionDep='';
				if ($selectedDep == $valueDep->url) {$selectionDep='selected';};
	 			echo "<option value='".$valueDep->url."' ".$selectionDep.">".$valueDep->name."</option>";
	 		};
	 		//curl_close($curlDep);
		 ?>
	</select>
	<?php
		if (isset($_POST['Departement']) && $_POST['Departement'] != "Default"){
			$urlCity = $_POST['Departement']."&affiliate_id=4m5k1yq8ozbe";
			$curlCity = curl_init();
			curl_setopt($curlCity, CURLOPT_URL, $urlCity);
			curl_setopt($curlCity, CURLOPT_RETURNTRANSFER, true);
			$contenuCity = curl_exec($curlCity);

			$xmlCity = new simpleXMLElement($contenuCity);
		};
	 ?>
	 <?php echo '<select name="City" id="Select-City" onChange="submit()">'; ?>
	 	<option value="Default">Sélectionner une ville</option>
	 	<?php 
	 		$selectedCity = $_POST['City'];
	 		foreach ($xmlCity->location->data as $valueCity) {
	 			$selectionCity='';
	 			if ($selectedCity == $valueCity->url) {$selectionCity = 'selected';$ville=$valueCity->name;};
	 			echo "<option value='".$valueCity->url."' ".$selectionCity.">".$valueCity->name."</option>";
	 		}
	 	 ?>
	 </select>

	 <?php 

	  ?>
</form>

<div class="span8 offset2">
	<?php //Traitement de la donnée récupérée

 	if (isset($_POST['City']) && ($_POST['City'] != "Default")){
	
 		$arr = parse_url($_POST['City']); //Parsage de l'URL
 		parse_str($arr["query"], $data); //Parsage du GET
		$station = $data["localidad"]; //on retient l'id de la station météo
	
		//Enregistrement dans un fichier .conf de la station
		$fichier="station.conf"; // Nom du fichier à modifier NE PAS oublier de faire un chmod 777 pour autoriser l'écriture	
 	  	if (!$fd = fopen($fichier,"w")){
 	  		echo "<div class='alert alert-error'><a href='' class='close'>x</a><p>Impossible d\'ouvrir le fichier</p></div>";
 	  		exit;
 	  	}; // Création du nouveau fichier et ouverture du fichier avec le mode w on ouvre le fichier qu'en écriture et unlink devient inutile car le fichier est vidé automatiquement
		$string=$station." ; ".$ville;
		if (fwrite($fd,$string)===FALSE){
			echo "<div class='alert alert-error'><a href='' class='close'>x</a><p>Impossible d\'écrire dans le fichier</p></div>";
			exit;
		}; // ecriture
		fclose($fd); // fermeture du fichier
		echo '<div class="alert alert-success" style="display:block"><a href="" class="close">x</a><p><h4>Fichier de configuration mis à jour.</h4></br>La station météo la plus proche est :<strong> '.$string.'</strong></p></div>';
 	};

?>
</div>